=== debian/changelog ===
hackrf (2015.07.2-6) unstable; urgency=medium

  * install udev rules in /lib/udev/rules.d
    and other lintian cleanups.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Jan 2016 23:42:55 -0500

hackrf (2015.07.2-5) unstable; urgency=medium

  * blacklist the v4l hackrf kernel module (Closes: #807005)
  * Install updated dev rules (jawbreaker, hackrf one, and rad1o support)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jan 2016 16:17:43 -0500

hackrf (2015.07.2-4) unstable; urgency=medium

  * update to v2015.07.2-10-gfa6f29d
    Comment style fixup to prevent warning in c90 complier mode
    rad1o USB idProduct cleanups

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jan 2016 15:44:27 -0500

hackrf (2015.07.2-3) unstable; urgency=medium

  * update to v2015.07.2-6-gf83fc14

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 25 Nov 2015 22:42:28 -0500

hackrf (2015.07.2-2) unstable; urgency=medium

  * update Vcs-Browser: to cgit URL

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 25 Nov 2015 22:42:08 -0500

hackrf (2015.07.2-1) unstable; urgency=medium

  * New upstream tag v2015.07.2
  * install libhackrf.pc correctly (Closes: #776077)
  * add watchfile, Thanks Sophie! (Closes:  #792253)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Aug 2015 23:14:28 -0400
