=== debian/watch ===
version=3
opts="filenamemangle=s/v?(\d.*)\.tar\.gz/hackrf-$1.tar.gz/" \
https://github.com/mossmann/hackrf/tags .*/v?(\d.*)\.tar\.gz
