## hackrf 2017.02.1

=== debian/changelog ===
hackrf (2017.02.1-1) unstable; urgency=medium

  * New upstream release (during stretch freeze)
  * Add new libfftw3-dev build dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 04 Aug 2017 17:20:06 -0400

hackrf (2015.07.2-11) unstable; urgency=medium

  * update host code to v2015.07.2-134-gb9d333a
  * do not fail when udev is not available on freebsd (Closes: #834055)
  * use ENV{ID_SOFTWARE_RADIO}="1" in udev rules (Closes: #839816)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 11 Oct 2016 20:59:02 -0400

hackrf (2015.07.2-10) unstable; urgency=medium

  * fix configure debian/libhackrf0.udev rule (Closes: #823810)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 10 May 2016 18:53:35 -0400

hackrf (2015.07.2-9) unstable; urgency=medium

  * fix modprobe config file (Closes: #822821)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Apr 2016 19:14:17 -0400

hackrf (2015.07.2-8) unstable; urgency=medium

  * use dh_installudev and dh_installmodules
  * fix kFreeBSD build. Thanks Steven! (Closes: #815266)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Apr 2016 20:45:07 -0400

hackrf (2015.07.2-7) unstable; urgency=medium

  * update to v2015.07.2-79-g3f4d1a4

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Apr 2016 11:21:02 -0400
