=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Section: libs
 Priority: extra
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config,
- libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
+Build-Depends: cmake,
+               debhelper (>= 9.0.0~),
+	       libfftw3-dev,
+               libusb-1.0-0-dev [linux-any],
+               libusb-dev [hurd-i386],
+               libusb2-dev [kfreebsd-any],
+               pkg-config
 Standards-Version: 3.9.6
 Homepage: http://greatscottgadgets.com/hackrf/
 Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-hackrf.git
@@ -24,7 +29,7 @@
 Package: libhackrf0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio peripheral - runtime library
  HackRF is an open source Software Defined Radio that can receive
@@ -36,7 +41,7 @@
 Package: hackrf
 Section: comm
 Architecture: any
-Depends: libhackrf0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libhackrf0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio peripheral - utilities
  HackRF is an open source Software Defined Radio that can receive
  and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
