=== firmware/hackrf_usb/CMakeLists.txt ===
--- 
+++ 
@@ -42,9 +42,11 @@
 	usb_api_register.c
 	usb_api_spiflash.c
 	usb_api_transceiver.c
+	"${PATH_HACKRF_FIRMWARE_COMMON}/operacake.c"
+	usb_api_operacake.c
+	usb_api_sweep.c
 	"${PATH_HACKRF_FIRMWARE_COMMON}/usb_queue.c"
 	"${PATH_HACKRF_FIRMWARE_COMMON}/fault_handler.c"
-	"${PATH_HACKRF_FIRMWARE_COMMON}/w25q80bv.c"
 	"${PATH_HACKRF_FIRMWARE_COMMON}/cpld_jtag.c"
 	"${PATH_HACKRF_FIRMWARE_COMMON}/xapp058/lenval.c"
 	"${PATH_HACKRF_FIRMWARE_COMMON}/xapp058/micro.c"
