=== debian/changelog ===
hackrf (2018.01.1-2) unstable; urgency=medium

  * Fix AppStream metadata

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 Apr 2018 23:16:50 -0400

hackrf (2018.01.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 07 Apr 2018 09:31:19 -0400
