=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: hackrf
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
@@ -9,10 +9,10 @@
                libusb-dev [hurd-i386],
                libusb2-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://greatscottgadgets.com/hackrf/
-Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-hackrf.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-hackrf.git/
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-hackrf
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-hackrf.git
 
 Package: libhackrf-dev
 Section: libdevel
