=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
+	- cp -p build/libhackrf/53-hackrf.rules debian/libhackrf0.udev
+
+override_dh_acc:
+	- dh_acc $@
+	- cat logs/libbladerf-dev/*/log.txt
 
 get-orig-source:
 	git clone https://github.com/mossmann/hackrf.git
