=== debian/changelog ===
hackrf (2021.03.1-2) unstable; urgency=medium

  * update to v2021.03.1-82-g22267f3

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Nov 2021 18:20:35 -0500

hackrf (2021.03.1-1) experimental; urgency=medium

  * New upstream release (Closes: #990628, #967931)
  * update to v2021.03.1-50-gc030776

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 23 Oct 2021 17:46:33 -0400
