=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper-compat (= 13),
 	       libfftw3-dev,
                libusb-1.0-0-dev [linux-any],
                libusb-dev [hurd-i386],
                libusb2-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://greatscottgadgets.com/hackrf/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-hackrf
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-hackrf.git
